/*
 * Licensed Materials - Property of IBM
 *
 * com.ibm.etools.c
 *
 *  Copyright IBM Corporation 2004. All Rights Reserved. 
 *
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.etools.c;

import org.eclipse.emf.common.util.EList;

import com.ibm.etools.tdlang.TDLangComposedType;

/**
 * <!-- begin-user-doc --> A representation of the model object '
 * <em><b>Structured</b></em>'. <!-- end-user-doc -->
 * 
 * <p>
 * The following features are supported:
 * <ul>
 * <li>{@link com.ibm.etools.c.CStructured#getContains <em>Contains</em>}</li>
 * </ul>
 * </p>
 * 
 * @see com.ibm.etools.c.CPackage#getCStructured()
 * @model abstract="true"
 * @generated
 */
public interface CStructured extends TDLangComposedType, CClassifier, CStructureContents, CDerivableType {
    /**
     * Returns the value of the '<em><b>Contains</b></em>' containment
     * reference list. The list contents are of type
     * {@link com.ibm.etools.c.CStructureContents}. It is bidirectional and its
     * opposite is '
     * {@link com.ibm.etools.c.CStructureContents#getContainer <em>Container</em>}'.
     * <!-- begin-user-doc -->
     * <p>
     * If the meaning of the '<em>Contains</em>' containment reference list
     * isn't clear, there really should be more of a description here...
     * </p>
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Contains</em>' containment reference
     *         list.
     * @see com.ibm.etools.c.CPackage#getCStructured_Contains()
     * @see com.ibm.etools.c.CStructureContents#getContainer
     * @model type="com.ibm.etools.c.CStructureContents" opposite="container"
     *        containment="true"
     * @generated
     */
    EList getContains();

} // CStructured
