/*
 * Licensed Materials - Property of IBM
 *
 * com.ibm.etools.c
 *
 *  Copyright IBM Corporation 2004. All Rights Reserved. 
 *
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.etools.c.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.impl.EFactoryImpl;

import com.ibm.etools.c.CArray;
import com.ibm.etools.c.CEnumerator;
import com.ibm.etools.c.CFactory;
import com.ibm.etools.c.CField;
import com.ibm.etools.c.CFunction;
import com.ibm.etools.c.CInitializer;
import com.ibm.etools.c.CPackage;
import com.ibm.etools.c.CParameter;
import com.ibm.etools.c.CPointer;
import com.ibm.etools.c.CSourceText;
import com.ibm.etools.c.CStruct;
import com.ibm.etools.c.CTypedef;
import com.ibm.etools.c.CUnion;

/**
 * <!-- begin-user-doc --> An implementation of the model <b>Factory </b>. <!--
 * end-user-doc -->
 * 
 * @generated
 */
public class CFactoryImpl extends EFactoryImpl implements CFactory {
    /**
     * Creates and instance of the factory. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated
     */
    public CFactoryImpl() {
        super();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EObject create(EClass eClass) {
        switch (eClass.getClassifierID()) {
        case CPackage.CSTRUCT:
            return createCStruct();
        case CPackage.CUNION:
            return createCUnion();
        case CPackage.CPARAMETER:
            return createCParameter();
        case CPackage.CTYPEDEF:
            return createCTypedef();
        case CPackage.CARRAY:
            return createCArray();
        case CPackage.CPOINTER:
            return createCPointer();
        case CPackage.CENUMERATOR:
            return createCEnumerator();
        case CPackage.CFIELD:
            return createCField();
        case CPackage.CFUNCTION:
            return createCFunction();
        case CPackage.CINITIALIZER:
            return createCInitializer();
        case CPackage.CSOURCE_TEXT:
            return createCSourceText();
        default:
            throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
        }
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CStruct createCStruct() {
        CStructImpl cStruct = new CStructImpl();
        return cStruct;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CUnion createCUnion() {
        CUnionImpl cUnion = new CUnionImpl();
        return cUnion;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CParameter createCParameter() {
        CParameterImpl cParameter = new CParameterImpl();
        return cParameter;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CTypedef createCTypedef() {
        CTypedefImpl cTypedef = new CTypedefImpl();
        return cTypedef;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CArray createCArray() {
        CArrayImpl cArray = new CArrayImpl();
        return cArray;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CPointer createCPointer() {
        CPointerImpl cPointer = new CPointerImpl();
        return cPointer;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CEnumerator createCEnumerator() {
        CEnumeratorImpl cEnumerator = new CEnumeratorImpl();
        return cEnumerator;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CField createCField() {
        CFieldImpl cField = new CFieldImpl();
        return cField;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CFunction createCFunction() {
        CFunctionImpl cFunction = new CFunctionImpl();
        return cFunction;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CInitializer createCInitializer() {
        CInitializerImpl cInitializer = new CInitializerImpl();
        return cInitializer;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CSourceText createCSourceText() {
        CSourceTextImpl cSourceText = new CSourceTextImpl();
        return cSourceText;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CPackage getCPackage() {
        return (CPackage) getEPackage();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @deprecated @generated
     */
    public static CPackage getPackage() {
        return CPackage.eINSTANCE;
    }
} //CFactoryImpl
