/**
 * <copyright>
 * </copyright>
 *
 * $Id: COBOLAdapterFactory.java,v 1.2.4.1 2005/10/28 04:37:27 akkina Exp $
 */
package com.ibm.etools.cobol.util;

import com.ibm.etools.cobol.*;

import com.ibm.etools.tdlang.TDLangClassifier;
import com.ibm.etools.tdlang.TDLangComposedType;
import com.ibm.etools.tdlang.TDLangElement;
import com.ibm.etools.tdlang.TDLangModelElement;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see com.ibm.etools.cobol.COBOLPackage
 * @generated
 */
public class COBOLAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static COBOLPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public COBOLAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = COBOLPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch the delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected COBOLSwitch modelSwitch =
		new COBOLSwitch() {
			public Object caseCOBOLSimpleType(COBOLSimpleType object) {
				return createCOBOLSimpleTypeAdapter();
			}
			public Object caseCOBOLElement(COBOLElement object) {
				return createCOBOLElementAdapter();
			}
			public Object caseCOBOLVariableLengthArray(COBOLVariableLengthArray object) {
				return createCOBOLVariableLengthArrayAdapter();
			}
			public Object caseCOBOLRedefiningElement(COBOLRedefiningElement object) {
				return createCOBOLRedefiningElementAdapter();
			}
			public Object caseCOBOLComposedType(COBOLComposedType object) {
				return createCOBOLComposedTypeAdapter();
			}
			public Object caseCOBOL88Element(COBOL88Element object) {
				return createCOBOL88ElementAdapter();
			}
			public Object caseCOBOL88ElementValue(COBOL88ElementValue object) {
				return createCOBOL88ElementValueAdapter();
			}
			public Object caseCOBOLAlphaNumericType(COBOLAlphaNumericType object) {
				return createCOBOLAlphaNumericTypeAdapter();
			}
			public Object caseCOBOLNumericEditedType(COBOLNumericEditedType object) {
				return createCOBOLNumericEditedTypeAdapter();
			}
			public Object caseCOBOLNumericType(COBOLNumericType object) {
				return createCOBOLNumericTypeAdapter();
			}
			public Object caseCOBOL66Element(COBOL66Element object) {
				return createCOBOL66ElementAdapter();
			}
			public Object caseCOBOLFixedLengthArray(COBOLFixedLengthArray object) {
				return createCOBOLFixedLengthArrayAdapter();
			}
			public Object caseCOBOLDBCSType(COBOLDBCSType object) {
				return createCOBOLDBCSTypeAdapter();
			}
			public Object caseCOBOLAlphaNumericEditedType(COBOLAlphaNumericEditedType object) {
				return createCOBOLAlphaNumericEditedTypeAdapter();
			}
			public Object caseCOBOLClassifier(COBOLClassifier object) {
				return createCOBOLClassifierAdapter();
			}
			public Object caseCOBOLAlphabeticType(COBOLAlphabeticType object) {
				return createCOBOLAlphabeticTypeAdapter();
			}
			public Object caseCOBOLObjectReferenceType(COBOLObjectReferenceType object) {
				return createCOBOLObjectReferenceTypeAdapter();
			}
			public Object caseCOBOLSourceText(COBOLSourceText object) {
				return createCOBOLSourceTextAdapter();
			}
			public Object caseCOBOLUnicodeType(COBOLUnicodeType object) {
				return createCOBOLUnicodeTypeAdapter();
			}
			public Object caseCOBOLInternalFloatType(COBOLInternalFloatType object) {
				return createCOBOLInternalFloatTypeAdapter();
			}
			public Object caseCOBOLExternalFloatType(COBOLExternalFloatType object) {
				return createCOBOLExternalFloatTypeAdapter();
			}
			public Object caseCOBOLAddressingType(COBOLAddressingType object) {
				return createCOBOLAddressingTypeAdapter();
			}
			public Object caseCOBOLElementInitialValue(COBOLElementInitialValue object) {
				return createCOBOLElementInitialValueAdapter();
			}
			public Object caseTDLangModelElement(TDLangModelElement object) {
				return createTDLangModelElementAdapter();
			}
			public Object caseTDLangClassifier(TDLangClassifier object) {
				return createTDLangClassifierAdapter();
			}
			public Object caseTDLangElement(TDLangElement object) {
				return createTDLangElementAdapter();
			}
			public Object caseTDLangComposedType(TDLangComposedType object) {
				return createTDLangComposedTypeAdapter();
			}
			public Object defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	public Adapter createAdapter(Notifier target) {
		return (Adapter)modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLSimpleType <em>Simple Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLSimpleType
	 * @generated
	 */
	public Adapter createCOBOLSimpleTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLElement
	 * @generated
	 */
	public Adapter createCOBOLElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLVariableLengthArray <em>Variable Length Array</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLVariableLengthArray
	 * @generated
	 */
	public Adapter createCOBOLVariableLengthArrayAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLRedefiningElement <em>Redefining Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLRedefiningElement
	 * @generated
	 */
	public Adapter createCOBOLRedefiningElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLComposedType <em>Composed Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLComposedType
	 * @generated
	 */
	public Adapter createCOBOLComposedTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOL88Element <em>88 Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOL88Element
	 * @generated
	 */
	public Adapter createCOBOL88ElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOL88ElementValue <em>88 Element Value</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOL88ElementValue
	 * @generated
	 */
	public Adapter createCOBOL88ElementValueAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLAlphaNumericType <em>Alpha Numeric Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLAlphaNumericType
	 * @generated
	 */
	public Adapter createCOBOLAlphaNumericTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLNumericEditedType <em>Numeric Edited Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLNumericEditedType
	 * @generated
	 */
	public Adapter createCOBOLNumericEditedTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLNumericType <em>Numeric Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLNumericType
	 * @generated
	 */
	public Adapter createCOBOLNumericTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOL66Element <em>66 Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOL66Element
	 * @generated
	 */
	public Adapter createCOBOL66ElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLFixedLengthArray <em>Fixed Length Array</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLFixedLengthArray
	 * @generated
	 */
	public Adapter createCOBOLFixedLengthArrayAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLDBCSType <em>DBCS Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLDBCSType
	 * @generated
	 */
	public Adapter createCOBOLDBCSTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLAlphaNumericEditedType <em>Alpha Numeric Edited Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLAlphaNumericEditedType
	 * @generated
	 */
	public Adapter createCOBOLAlphaNumericEditedTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLClassifier <em>Classifier</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLClassifier
	 * @generated
	 */
	public Adapter createCOBOLClassifierAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLAlphabeticType <em>Alphabetic Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLAlphabeticType
	 * @generated
	 */
	public Adapter createCOBOLAlphabeticTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLObjectReferenceType <em>Object Reference Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLObjectReferenceType
	 * @generated
	 */
	public Adapter createCOBOLObjectReferenceTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLSourceText <em>Source Text</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLSourceText
	 * @generated
	 */
	public Adapter createCOBOLSourceTextAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLUnicodeType <em>Unicode Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLUnicodeType
	 * @generated
	 */
	public Adapter createCOBOLUnicodeTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLInternalFloatType <em>Internal Float Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLInternalFloatType
	 * @generated
	 */
	public Adapter createCOBOLInternalFloatTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLExternalFloatType <em>External Float Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLExternalFloatType
	 * @generated
	 */
	public Adapter createCOBOLExternalFloatTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLAddressingType <em>Addressing Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLAddressingType
	 * @generated
	 */
	public Adapter createCOBOLAddressingTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.cobol.COBOLElementInitialValue <em>Element Initial Value</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.cobol.COBOLElementInitialValue
	 * @generated
	 */
	public Adapter createCOBOLElementInitialValueAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.tdlang.TDLangModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.tdlang.TDLangModelElement
	 * @generated
	 */
	public Adapter createTDLangModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.tdlang.TDLangClassifier <em>Classifier</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.tdlang.TDLangClassifier
	 * @generated
	 */
	public Adapter createTDLangClassifierAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.tdlang.TDLangElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.tdlang.TDLangElement
	 * @generated
	 */
	public Adapter createTDLangElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.etools.tdlang.TDLangComposedType <em>Composed Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.etools.tdlang.TDLangComposedType
	 * @generated
	 */
	public Adapter createTDLangComposedTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //COBOLAdapterFactory
